[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
VY1=135
VY2=125

[Fond1]
Meter=Shape
MeterStyle=SFT2|SFT0

[D2]
AutoScale=1
NumOfDecimals=2

[MCPU]
Measure=CPU
IfCondition=(MCPU < 25)
IfTrueAction=[!SetOption CPUValue FontColor "#FBB#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #DA1# ; 1.0"]
IfCondition2=(MCPU >= 25) && (MCPU < 50)
IfTrueAction2=[!SetOption CPUValue FontColor "#FBP1#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #FBP1# ; 1.0"]
IfCondition3=(MCPU >= 50) && (MCPU < 75)
IfTrueAction3=[!SetOption CPUValue FontColor "#FBP2#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #FBP2# ; 1.0"]
IfCondition4=(MCPU >= 75)
IfTrueAction4=[!SetOption CPUValue FontColor "#FBP3#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #FBP3# ; 1.0"]

[MCPUMHz1]
Measure=Plugin
Plugin=UsageMonitor
Category=Processor Information
Counter=% Processor Performance
Name=_Total

[MCPUMHz]
Measure=Calc
Formula=SpeedRegistry * MCPUMHz1/100
OnChangeAction=[!UpdateMeter CPUSpeed]

[SpeedRegistry]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=~MHz
UpdateDivider=-1

[MCPUName]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\CentralProcessor\0
RegValue=ProcessorNameString
UpdateDivider=-1

[MBusMult]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=BusMultiplier
UpdateDivider=2
CoreTempIndex=0
OnChangeAction=[!UpdateMeter Mult]

[MBusSpeed]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=BusSpeed
UpdateDivider=2
CoreTempIndex=0
OnChangeAction=[!UpdateMeter Mult]

[Cpu1Temp]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=Temperature
CoreTempIndex=0
MinValue=0
MaxValue=100
UpdateDivider=2
OnChangeAction=[!UpdateMeter Temp][!UpdateMeter Bar4]

[CpuTemp2]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=MaxTemperature
UpdateDivider=2
OnChangeAction=[!UpdateMeter Temp]

[MVoltage]
Measure=Plugin
Plugin=CoreTemp
CoreTempType=VID
CoreTempIndex=0
UpdateDivider=2
OnChangeAction=[!UpdateMeter Voltage]

[Title]
Meter=STRING
MeterStyle=Style1
MeasureName=MCPUName
MeasureName2=M2
Text=%1
Tooltiptext=%2

[M2]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic cpu get architecture,description,manufacturer,name,revision,version,datawidth,l2cachesize,L3CacheSize,socketdesignation,NumberOfCores,NumberOfLogicalProcessors /value
OutputType=ANSI
UpdateDivider=-1

[UseT]
Meter=STRING
MeterStyle=Style3
Text=#u#

[CPUValue]
Meter=STRING
MeterStyle=Style4
MeasureName=MCPU
Text=%1%
NumOfDecimals=2
UpdateDivider=1

[Temt]
Meter=STRING
MeterStyle=Style3
Y=(50*#SCALE#)
Text=#TEMPE#

[Temp]
MeasureName=Cpu1Temp
MeasureName2=CpuTemp2
Meter=STRING
MeterStyle=Style4
Text=%1C / %2C
ToolTipTitle=#TEMPE#
Tooltiptext=#TEMPE# / Max #TEMPE# (all cores)
NumOfDecimals=0

[SPCT]
Meter=STRING
MeterStyle=Style3
Y=(75*#SCALE#)
Text=#T35P1#

[CPUSpeed]
Meter=STRING
MeterStyle=Style4
MeasureName=MCPUMHz
MeasureName2=SpeedRegistry
Text=%1Mhz / %2Mhz
ToolTipTitle=#T35P1#
Tooltiptext=#T35P1# / Max #T35P1#

[Multt]
Meter=STRING
MeterStyle=Style3
Y=(95*#SCALE#)
Text=BUS

[Mult]
Meter=String
MeasureName=MBusMult
MeasureName2=MBusSpeed
MeterStyle=Style4
Text=%2Mhz (X%1)
TooltipText=#BUSP# & #Mulr# 

[TVol]
Meter=STRING
MeterStyle=Style3
Text=Voltage
Y=(115*#SCALE#)

[Voltage]
Meter=STRING
MeterStyle=Style4
MeasureName=MVoltage
Text=%1v

[Bar2]
Meter=Shape
MeterStyle=BA
Shape=Rectangle (7*#SCALE#),(46*#SCALE#),((190*#SCALE#)*([MCPU]/100)),(2*#SCALE#),5 | Extend Plus
UpdateDivider=1

[Bar4]
Meter=Shape
MeterStyle=BA
Shape=Rectangle (7*#SCALE#),(66*#SCALE#),((190*#SCALE#)*([Cpu1Temp]/100)),(2*#SCALE#),5 | Extend Plus
