[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
VY1=155
VY2=145

[Fond1]
Meter=Shape
MeterStyle=SFT2|SFT0

[D2]
AutoScale=1
NumOfDecimals=2

[MGpu]
Measure=Plugin
Plugin=MSIAfterburner.dll
SourceId=48
MinValue=0
MaxValue=100
IfCondition=(MGpu < 25)
IfTrueAction=[!SetOption CPUValue FontColor "#FBB#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #DA1# ; 1.0"]
IfCondition2=(MGpu >= 25) && (MGpu < 50)
IfTrueAction2=[!SetOption CPUValue FontColor "#FBP1#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #FBP1# ; 1.0"]
IfCondition3=(MGpu >= 50) && (MGpu < 75)
IfTrueAction3=[!SetOption CPUValue FontColor "#FBP2#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #FBP2# ; 1.0"]
IfCondition4=(MGpu >= 75)
IfTrueAction4=[!SetOption CPUValue FontColor "#FBP3#"][!SetOption Bar2 Gradient "90 | #FBP# ; 0.0 | #FBP3# ; 1.0"]

[GpuTemp]
Measure=Plugin
Plugin=MSIAfterburner.dll
SourceId=0
UpdateDivider=2
MinValue=0
MaxValue=100
OnChangeAction=[!UpdateMeter Temp][!UpdateMeter Bar4]

[Measure007]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DEVICEMAP\VIDEO
RegValue=\Device\Video0
Substitute="\Registry\Machine\":"","System":"SYSTEM"
UpdateDivider=-1

[Measure008]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=[Measure007]
RegValue=HardwareInformation.qwMemorySize
DynamicVariables=1
UpdateDivider=-1

[GpuName]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=[Measure007]
RegValue=DriverDesc
UpdateDivider=-1
DynamicVariables=1

[ClaMM]
Measure=Calc
Formula=[Measure008:/1073741824]
DynamicVariables=1
UpdateDivider=-1

[GpuMemUsed]
Measure=Plugin
Plugin=MSIAfterburner.dll
GPU=0
SourceId=49
UpdateDivider=2
MinValue=0
MaxValue=[ClaMM]
OnChangeAction=[!UpdateMeter MemUsed]

[GpuCPUMHz]
Measure=Plugin
Plugin=MSIAfterburner.dll
GPU=0
SourceId=32
UpdateDivider=2
MinValue=0
OnChangeAction=[!UpdateMeter Vit]

[GpuMemClock]
Measure=Plugin
Plugin=MSIAfterburner.dll
GPU=0
SourceId=34
UpdateDivider=2
MinValue=0
OnChangeAction=[!UpdateMeter MemClock]

[GpuFanSpeed]
Measure=Plugin
Plugin=MSIAfterburner.dll
GPU=0
SourceId=16
MinValue=0
MaxValue=100
UpdateDivider=2
OnChangeAction=[!UpdateMeter Fan]

[GBIOS]
Measure=Plugin
Plugin=MSIAfterburner.dll
GPU=0
GPUDescriptor=BIOS
UpdateDivider=-1
Group=GPU

[M2]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic path Win32_VideoController get AdapterCompatibility,VideoModeDescription,CurrentRefreshRate,MaxRefreshRate,DriverVersion /value
OutputType=ANSI
UpdateDivider=-1

[GName]
Meter=STRING
MeterStyle=Style1
MeasureName=GpuName
MeasureName2=GBIOS
MeasureName3=M2
Text=%1
TooltipTitle=GPU
Tooltiptext=BIOS: %2#CRLF#%3

[UseT]
Meter=STRING
MeterStyle=Style3
Text=#u#

[CPUValue]
Meter=STRING
MeterStyle=Style4
MeasureName=MGpu
Text=%1%
NumOfDecimals=0
UpdateDivider=1

[Temt]
Meter=STRING
MeterStyle=Style3
Y=(50*#SCALE#)
Text=#TEMPE#

[Temp]
Meter=STRING
MeasureName=GpuTemp
MeterStyle=Style4
Text=%1C
NumOfDecimals=0

[Memut]
Meter=STRING
MeterStyle=Style3
Y=(75*#SCALE#)
Text=#Memgu#

[MemUsed]
Meter=STRING
MeasureName=GpuMemUsed
MeterStyle=Style4
Text=%1 MB / [Measure008:/1073741824, 2]GB
NumOfDecimals=2

[Memt]
Meter=STRING
MeterStyle=Style3
Text=#MemSD#
Y=(95*#SCALE#)

[MemClock]
Meter=STRING
MeasureName=GpuMemClock
MeterStyle=Style4
Text=%1MHz

[Speed]
Meter=STRING
MeterStyle=Style3
Text=#GPUSD#
Y=(115*#SCALE#)

[Vit]
Meter=STRING
MeterStyle=Style4
MeasureName=GpuCPUMHz
Text=%1MHz 

[FatT]
Meter=STRING
MeterStyle=Style3
Text=#FSPD#
Y=(135*#SCALE#)

[Fan]
Meter=STRING
MeasureName=GpuFanSpeed
MeterStyle=Style4
Text=%1%


[Bar2]
Meter=Shape
MeterStyle=BA
Shape=Rectangle (7*#SCALE#),(46*#SCALE#),((190*#SCALE#)*([MGPU]/100)),(2*#SCALE#),5 | Extend Plus
UpdateDivider=1

[Bar4]
Meter=Shape
MeterStyle=BA
Shape=Rectangle (7*#SCALE#),(66*#SCALE#),((190*#SCALE#)*([GpuTemp]/100)),(2*#SCALE#),5 | Extend Plus
