[Variables]
@include=#@#Style.inc
@include2=#@#Languages\#language#.inc
VY1=175
VY2=165
S03=!ShowMeter
S04=!HideMeter

[Fond1]
Meter=Shape
MeterStyle=SFT7|SFT0

[ProSt]
X=(173*#SCALE#)

[MOSVersion]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=SOFTWARE\Microsoft\Windows NT\CurrentVersion
RegValue=ProductName
UpdateDivider=-1

[MOSBits]
Measure=Plugin
Plugin=SysInfo
SysInfoType=OS_Bits
UpdateDivider=-1

[M3]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic OS get bootdevice,buildnumber,buildtype,codeset,countrycode,CurrentTimeZone,EncryptionLevel,manufacturer,name,oslanguage,MUILanguages,ostype,version,OSArchitecture,SerialNumber /value
OutputType=ANSI
UpdateDivider=-1

[M4]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic BaseBoard get Manufacturer,Product,serialnumber,Version,status /value
OutputType=ANSI
UpdateDivider=-1

[M5]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic USERACCOUNT get accounttype,description,domain,name,status /value
OutputType=ANSI
UpdateDivider=-1

[M6]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic bios get Manufacturer,Name,primarybios,ReleaseDate,status,serialnumber,Version /value
OutputType=ANSI
UpdateDivider=-1

[M7]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic desktopmonitor get MonitorManufacturer /value
OutputType=ANSI
OnChangeAction=[!UpdateMeter TScreen1]  
RegExpSubstitute=1
Substitute="^(?:^\s+|\s+$)$":"","#CRLF#":"","MonitorManufacturer=":""

[M8]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic desktopmonitor get MonitorManufacturer,description,deviceid,status,pnpdeviceid /value
OutputType=ANSI
UpdateDivider=-1

[MUserName]
Measure=Plugin
Plugin=SysInfo.dll
SysInfoType=USER_NAME
UpdateDivider=-1

[MModelPC]
Measure=Registry
RegHKey=HKEY_LOCAL_MACHINE
RegKey=HARDWARE\DESCRIPTION\System\BIOS
RegValue=SystemProductName
UpdateDivider=-1

[M1]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic cpu get NumberOfCores /value
OutputType=ANSI
OnChangeAction=[!UpdateMeter TPC1]
RegExpSubstitute=1
Substitute="^(?:^\s+|\s+$)$":"","#CRLF#":"","NumberOfCores=":""

[M2]
Measure=Plugin
Plugin=RunCommand
Parameter=wmic cpu get NumberOfLogicalProcessors /value
OutputType=ANSI
OnChangeAction=[!UpdateMeter TPLC1]  
RegExpSubstitute=1
Substitute="^(?:^\s+|\s+$)$":"","#CRLF#":"","NumberOfLogicalProcessors=":""

[TotalThreads]
Measure=Plugin
Plugin=UsageMonitor
Category=System
Counter=Threads
Index=0

[MScreenWidth]
Measure=Plugin
Plugin=SysInfo
SysInfoType=SCREEN_WIDTH
SysInfoData=1
UpdateDivider=-1

[MScreenHeight]
Measure=Plugin
Plugin=SysInfo
SysInfoType=SCREEN_HEIGHT
SysInfoData=1
UpdateDivider=-1

[IDLE_TIME]
Measure=Plugin
Plugin=SysInfo
SysInfoType=IDLE_TIME
IfCondition=IDLE_TIME <= 0
IfTrueAction=[#S04# IdleT1]
IfFalseAction=[#S03# IdleT1]

[OSVersion]
Meter=String
MeterStyle=Style1
MeasureName=MOSVersion
MeasureName2=MOSBits
MeasureName3=M3
Text=%1 %2-bit
Tooltiptitle=OS
Tooltiptext=%3

[User]
Meter=String
MeterStyle=Style3
MeasureName=M5
Text=#user#
Y=(30*#SCALE#)
Tooltiptitle=#user#
Tooltiptext=%1

[User1]
Meter=String
MeterStyle=Style4||ProSt
MeasureName=MUserName
Text=%1

[ModelPC]
Meter=String
MeterStyle=Style3
MeasureName=M4
Text=#Mod#
Y=(55*#SCALE#)
Tooltiptitle=#CMB#
Tooltiptext=%1


[ModelPC1]
Meter=STRING
MeterStyle=Style4|ProSt
MeasureName=MModelPC
MeasureName2=M6
Text=%1
Tooltiptitle=Bios
Tooltiptext=%2

[TPC]
Meter=STRING
MeterStyle=Style3
Y=(20*#SCALE#)r
Text=Number Of Cores

[TPC1]
Meter=STRING
MeterStyle=Style4|ProSt
MeasureName=M1
Text=%1

[TPLC]
Meter=STRING
MeterStyle=Style3
Y=(20*#SCALE#)r
Text=Logical Processors

[TPLC1]
Meter=STRING
MeterStyle=Style4|ProSt
MeasureName=M2
Text=%1

[TThreads]
Meter=STRING
MeterStyle=Style3
Y=(20*#SCALE#)r
Text=Threads

[TThreads1]
Meter=STRING
MeterStyle=Style4|ProSt
Text=[TotalThreads:0]
UpdateDivider=1

[TScreen]
Meter=STRING
MeterStyle=Style3
MeasureName=M8
Y=(20*#SCALE#)r
Text=Monitor
Tooltiptitle=Screen
Tooltiptext=%1

[TScreen1]
Meter=STRING
MeterStyle=Style4|ProSt
MeasureName=M7
Text=%1

[ScreenSize]
Meter=String
MeterStyle=Style3
Text=#TPE1#
Y=(20*#SCALE#)r

[ScreenSize1]
Meter=String
MeasureName=MScreenWidth
MeasureName2=MScreenHeight
MeterStyle=Style4|ProSt
Text=%1 x %2

[IdleT]
Meter=String
MeterStyle=Style3
Text=Idle time
Y=(20*#SCALE#)r
Tooltiptext=The time in seconds since the last mouse or keyboard input to the operating system.

[IdleT1]
Meter=String
MeasureName=IDLE_TIME
MeterStyle=Style4|ProSt
Text=%1 #secondes#
UpdateDivider=1
